<template>
  <header>
    <a href=""><img src="/resources/assets/logo.png" alt=""></a>
       <ul>
         <li><router-link to="/management">МЕНЕДЖМЕНТ</router-link></li>
         <li><router-link to="/patterns">СТАТИСТИКА</router-link></li>
       </ul>
     <div class="user">
       <router-link to="/" class="avatar"></router-link>
       <router-link to="/" class="nickname">{{nickname}}</router-link>
     </div>
     <router-link to="/login" class="exit"></router-link>
  </header>
</template>

<script>
export default {
  name: 'Header',
  data() {
    return {
      nickname: "Вячеслав"
    }
}
}
</script>

<style scoped lang="scss">
header {
    display: flex;
    flex-wrap: wrap;
    align-items: center; 
    padding: 0 7vw;
    height: 12vh;
    box-shadow: 0px 4px 10px -10px rgba(0,0,0,0.5);
}

a img {
  width: 100px;
  max-height: 100%;
  justify-self: flex-start;
  margin-right: auto;
}

  ul{
    display: flex;
    margin: 0;
    padding: 0;
    list-style: none;
    align-items: center;
    margin-left: auto;
}

   li a {
    display: flex;
    align-items: center;
    margin: 0 10px;
    padding: 0 10px;
    min-height: 11vh;
    font-weight: bold;
    color: #000;
    text-decoration: none;
    transition: border-bottom 0.1s;
}

   li a:visited {
    color: #000;
}

   li a:hover{
    border-bottom: 1vh solid var(--blue);
    cursor: pointer;
}

.user {
  display: flex;
  margin: 0;
  padding: 0 1vw;
  height: 12vh;
  list-style: none;
  justify-content: flex-start;
  align-items: center;
}

.avatar {
  width: 7vh;
  height: 7vh;
  background: url("/resources/assets/avatar.png") 65% 15% no-repeat;
  background-size: 17vh;
  border-radius: 50%;
  border: 0.125em solid var(--grey);
  margin-right: 1vw;
}

.nickname {
  font-weight: bold;
  color: #000;
  text-decoration: none;
}

.exit {
  width: 5vh;
  height: 5vh;
  margin-left: 1vw;
  background: url("/resources/assets/Exit.png") 50% 50% no-repeat;
}

</style>
